
Redmine - Patch #6427

Create CSS to support child and nested menus

2010-09-17 20:25 - Eric Davis

Status: Closed Start date: 2010-09-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

The Redmine Menu API allows child and nested menus but in the default themes, they are rendered poorly.

Related issues:

Related to Redmine - Patch #4250: Tree based menus Closed 2009-11-19

Related to Redmine - Feature #15880: Consistent, global button/menu to add ne... Closed

History

#1 - 2010-10-25 16:59 - Eric Davis

- Assignee deleted (Eric Davis)

#2 - 2013-07-23 21:57 - Mischa The Evil

- Related to Patch #4250: Tree based menus added

#3 - 2014-02-03 10:10 - Jan from Planio www.plan.io

- File child_menu.png added

- File css_style_for_child_menu.patch added

Here's a patch against the Redmine default theme for this in preparation for #15880. It looks like this:

 200 

#4 - 2014-02-03 10:11 - Jan from Planio www.plan.io

- Related to Feature #15880: Consistent, global button/menu to add new content added

#5 - 2014-02-03 10:12 - Jan from Planio www.plan.io

- Tracker changed from Defect to Patch

- Status changed from New to Needs feedback

#6 - 2014-02-04 07:10 - Jan from Planio www.plan.io

- File lib_redmine_rb.diff added

Btw. here's the patch against lib/redmine.rb I used to create the menu as shown in the screenshot.

This is for dev purposes only, of course, it has no real functionality...

#7 - 2014-02-19 19:16 - Jan from Planio www.plan.io

- Status changed from Needs feedback to Closed

I have added a newer patch as part of a patch series in #15880

Files

redmine-child-menus.png 15.6 KB 2010-09-17 Eric Davis

child_menu.png 120 KB 2014-02-03 Jan from Planio www.plan.io

css_style_for_child_menu.patch 1018 Bytes 2014-02-03 Jan from Planio www.plan.io

lib_redmine_rb.diff 1.55 KB 2014-02-04 Jan from Planio www.plan.io

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/issues/15880
https://www.redmine.org/attachments/11069
https://www.redmine.org/issues/15880
http://www.tcpdf.org

